#!/usr/bin/perl -w

################################################################################
# Name:        PutInProd.cgi
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: Put's the request in the "accepted Requests Directory"
# Copyright:   GPL
################################################################################


require "adminDB.pm" ;
use CGI ;

# defines:
#          $AcceptedRequests ;

select STDOUT ; $| = 1 ;
local $UID_Publisher=$ENV{'REMOTE_USER'} || "Not defined" ;

# Create CGI Object
$query = new CGI ;
print $query->header() ;
print $query->start_html(-title=>'Gestione Web Pages',
                         -bgcolor=>'gray',
                         -author=>'apache@itweb0.italy.glaxo');

my $Type = $query->param('Type') ;
my $SelectedDirectory = $query->param('SelectedDirectory') ;
my $Publisher = $query->param('Publisher') ;
my $WebSite = $SelectedDirectory ;

   if ( $Type ne "Area" ) {
       printf("List requested<HR>"); # NOT YET USED
   } else {
       $WebSite =~ s#/#_#g ;
       my $RequestFile = $AcceptedRequests.$WebSite ;
       my $modtime = scalar localtime(time) ;

       open(RICHIESTA,"> $RequestFile") || die "Could not open $RequestFile" ;
         printf(RICHIESTA "%s;;%s;;%s;;%s;;%s;;ACCEPTED\n",$SelectedDirectory,$Type,$UID_Publisher,$Publisher,$modtime);
       close(RICHIESTA) ;
       &changeowner($RequestFile) ;
       &RequestAccepted();
   }


print $query->end_html();

sub changeowner {
    my ( $file ) = @_ ;
    chown ((getpwnam("nobody"))[2],(getpwnam("apache"))[3],$file) ; 
    chmod 0660,$file ;
}

sub RequestAccepted {
   print <<EOS;
   <P>
   <H1>Request Accepted</H1><HR>
   <P>
   <SCRIPT LANGUAGE="JavaScript">
   <!-- Hide script
   setTimeout("window.close()",2000);
   // End Script hiding here -->
   </SCRIPT>
EOS
}
